# DocFormer

DocFormer是一个简单的文档编辑器，支持创建和编辑.docformer格式的文本文件，并可以导出为HTML格式。

## 功能特点

- 创建和编辑.docformer格式的文本文件
- 导出为.docform格式，自动生成目录和格式化文本
- 支持多级缩进，自动调整字号
- 可以安装到系统中，支持命令行操作
- 提供文件夹配置功能，自动创建导出脚本

##安装要求
- 确保安装tkinter

## 安装方法

1. 确保已安装Python 3.6或更高版本
2. 运行以下命令安装：

```bash
pip install .
```

## 使用方法

### 图形界面

安装后，可以通过以下命令启动编辑器：

```bash
docformer
```

## 文件格式说明

### .docformer格式

- 纯文本格式
- 使用缩进来表示层级关系
- 第一行为总标题
- 每个空格表示一级缩进
- 自动生成目录和对应编号
- 点击目录高亮跳转到对应块
- 鼠标悬浮在块上会高亮对应块
- 以\开头的行表示无需计入目录的注文
- 插入图片和文件（[img:] 和 [file:]）需要单起一行

### HTML格式

- 包含目录和格式化文本
- 在文本前添加对应编号
- 自动根据缩进级别调整字号
- 最大缩进级别的字号为20px
- 每减少一级缩进，字号增加
- 插入的图片会直接显示，插入的文件会显示文件名，单击下载

## 示例

输入文件（.docformer）：
```
总标题
一级标题
 二级标题
  三级标题
另一个一级标题
\正文
[img:path]
[file:path]
```

导出后的HTML文件将包含：
- 自动生成的目录
- 格式化的文本、图片和文件，字号根据缩进级别自动调整
- 保持原有的层级结构

## 许可证

MIT License 